local t = Def.ActorFrame {








	LoadActor("lights (doubleres).avi") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-(SCREEN_HEIGHT/3);zoom,-1;);
		OnCommand=cmd(diffusealpha,0;linear,0.5;diffusealpha,1;);
	};

	LoadActor("lights (doubleres).avi") .. {
		InitCommand=cmd(x,(SCREEN_WIDTH-SCREEN_WIDTH+150);y,SCREEN_CENTER_Y-(SCREEN_HEIGHT/3););
		OnCommand=cmd(diffusealpha,0;sleep,0.3;linear,0.5;diffusealpha,1;);
	};

	LoadActor("lights (doubleres).avi") .. {
		InitCommand=cmd(x,(SCREEN_WIDTH-150);y,SCREEN_CENTER_Y-(SCREEN_HEIGHT/3););
		OnCommand=cmd(diffusealpha,0;sleep,0.6;linear,0.5;diffusealpha,1;);
	};





	LoadActor("sparkles.png")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;blend,'BlendMode_Add';);
		OnCommand=cmd(texcoordvelocity,0,-0.2;diffusealpha,0;sleep,0.6;linear,1;diffusealpha,1;);
	};


	LoadActor("sparkles.png")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoom,-1;blend,'BlendMode_Add';);
		OnCommand=cmd(texcoordvelocity,0,-0.1;diffusealpha,0;sleep,0.3;linear,1;diffusealpha,1;);
	};



	LoadActor("bg.png")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
		OnCommand=cmd(y,SCREEN_CENTER_Y;zoomy,0.5;STRETCH_TO_WIDTH;);
	};






	LoadActor("flare (doubleres).png")..{
		InitCommand=cmd(x,SCREEN_WIDTH/2;y,-100;blend,'BlendMode_Add';zoomx,2;);
		OnCommand=cmd(spin;effectmagnitude,0,0,1;diffusealpha,0;linear,1;diffusealpha,1;);
	};






};



return t;
